Subject: AODV Route Reply Generation by an Intermediate Node

From: "wooighee" <[email-masked]>
Date: Mon, 13 Nov 2000 13:16:57 +0900

Hello Samir

> >
> >RREP generate by an intermediate node need to have route cached
information
> >that with BIGGER destination seq. no. ?
>
>yes.
>
> >If yes then that is NO case when the seq no is bigger than current RREQ
> >seq no.
>
>This will be the case after a route error.
>

For the route error case, the intermediate node, where link failure occurs,
will use an incremented sequence no.(N+1) for RERR message and
the source node will broadcast a new RREQ message with seq. no. (N+1).
There is *NO* single node in the intermediate node within any of the the
intermediate
node with sequence no. larger or equal to (N+1).

>But if the source needs to find a route for the first time, then
>intermediate nodes may have a larger seq no.
>

For the source node case, if I am not mistaken the sequence
no. is mantained seperately for every different node.
The Source Node will always have the largest sequence no. everytime
it generates a RREQ message.
Again there is *NO* way where any cached information in the
source node itself has a larger sequence no.

To make thing short, there use of the seq. no. is good in preventing
looping but I doubt the current protocol *NOT* using the cached information
at all.

If I am wrong, please kindly correct me.
Thank you

Ghee